%define DATE 060926
%define pfmon_release 5
Summary: a performance monitoring tool for Linux/ia64
Name: pfmon
Version: 3.2
Release: 0.%{DATE}.%{pfmon_release}%{?dist}
License: GPL
Group: Development/Tools
Buildroot: /var/tmp/pfmon-root
ExclusiveArch: ia64 %{ix86} x86_64
ExclusiveOS: linux
AutoReqProv: no
Source: http://prdownloads.sourceforge.net/perfmon2/%{name}-%{version}-%{DATE}.tar.gz
#Patch1: pfmon-check_support.patch
Patch2: pfmon-nounwind.patch
Patch3: pfmon-rpm_opt.patch
Patch4: pfmon-fortify.patch
Patch5: pfmon-ia64compat.patch
Requires: libpfm
BuildPreReq: elfutils-devel
BuildPreReq: binutils-devel
BuildPreReq: libpfm >= 3.2-0.060926.4
BuildPreReq: libpfm-devel >= 3.2-0.060926.4

%description
This package contains pfmon 3.x, a tool to monitor performance using
the Performance Monitor Unit (PMU). Pfmon can monitor
standalone programs or the entire system on both UP and SMP Linux systems.
This version
of pfmon requires a kernel perfmon-2.x (found in 2.6 kernels) subsystem to 
function properly.

%prep
%setup -q -n %{name}-%{version}-%{DATE}
#%patch1 -p1 -b .check_support
#%patch2 -p1 -b .nounwind
%patch3 -p1 -b .rpm_opt
%patch4 -p1 -b .fortify
%patch5 -p1 -b .ia64compat

%build
make	PREFIX=/usr DESTDIR=%{buildroot} \
	PFMROOTDIR=/usr PFMLIBDIR=%{_libdir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr
make install  PREFIX=/usr DESTDIR=%{buildroot} \
	PFMROOTDIR=/usr PFMLIBDIR=%{_libdir}


( cd %{buildroot}/usr/bin; rm pfmon_gen; ln -s pfmon pfmon_gen )

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%doc /usr/share/man/man1/*
%attr(755,root,root) /usr/bin/pfmon
%attr(755,root,root) /usr/bin/pfdbg
%attr(755,root,root) /usr/bin/pfmon_gen

%changelog
* Wed Sep 3 2008 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.5
- Patch to work with older kernel.Resolves: rhbz#231095, rhbz#437942 

* Tue Jan 16 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.4
- Correct 32-bit vs. 64-bit library issues. Resolves: rhbz#222707

* Tue Jan 16 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.3
- Correct 32-bit vs. 64-bit library issues. Resolves: rhbz#222707

* Sun Oct 1 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.1
- Update to pfmon-3.2-060926.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.2-0.060621.7.1
- rebuild

* Tue Jun 27 2006 Will Cohen <wcohen@redhat.com>
- Separate build and install processes.
- Make sure that $(RPM_OPT_FLAGS) is used.
- Patches to store return values.
- Clean up desciption.

* Mon Jun 26 2006 Will Cohen <wcohen@redhat.com>
- Correct buildprereq.

* Mon Jun 26 2006 Will Cohen <wcohen@redhat.com>
- Update to pfmon-3.2-060621.

* Wed Jun 14 2006 Will Cohen <wcohen@redhat.com>
- Correct BuildPreReq.

* Wed Jun 14 2006 Will Cohen <wcohen@redhat.com>
- Update to pfmon-3.2-060522.

* Fri May 05 2006 Will Cohen <wcohen@redhat.com>
- Do not use the unwind libraries.

* Thu May 04 2006 Will Cohen <wcohen@redhat.com>
- Update to pfmon-3.2-060426.

* Thu Feb 09 2006 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0-6.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar 15 2005 Will Cohen <wcohen@redhat.com>
- Correct passing RPM_OPT_FLAGS.
- Correct field to match /usr/include/bits/siginfo.h.

* Mon Mar 14 2005 Will Cohen <wcohen@redhat.com>
- Bump rebuild with gcc4.

* Mon Sep 27 2004 Will Cohen <wcohen@redhat.com>
- Correct spec file for build system.

* Fri Sep 24 2004 Will Cohen <wcohen@redhat.com>
- Correct BuildPreReq

* Tue Dec 2 2003 Stephane Eranian <eranian@hpl.hp.com>
- release 3.0
